<?php
/*
* $Id: attributeManagerSessionFunctions.inc.php
* $Loc: /admin/attributeManager/includes/
*
* Name: AjaxAttributesManager
* Version: 3.6.2
* Release Date: 2024-07-26
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

function amSessionUnregister($strSessionVar) {
	if(amSessionIsRegistered($strSessionVar)){
		unset($_SESSION[$strSessionVar]);
	}
	unset($GLOBALS[$strSessionVar]);
}

function amSessionRegister($strSessionVar,$value = '') {
	if(!amSessionIsRegistered($strSessionVar)) {
	    $_SESSION[$strSessionVar] = & $GLOBALS[$strSessionVar];
		$GLOBALS[$strSessionVar] = $value;
	}
}

function amSessionIsRegistered($strSessionVar) {
	return isset($_SESSION[$strSessionVar]); 
}

function amGetSessionVariable($strSessionVar) {
	if(isset($GLOBALS[$strSessionVar]))
		return $GLOBALS[$strSessionVar];
	return false;
}

function amSetSessionVariable($key, $value) {
	$GLOBALS[$key] = $value;
}
