<?php
/*
* $Id: ajaxAttribManager.php
* $Loc: /includes/hooks/admin/catalog/
*
* Name: AjaxAttributesManager
* Version: 3.6.2
* Release Date: 2024-07-26
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class hook_admin_catalog_ajaxAttribManager {

    public $version = '3.5.0';

    function listen_productTab() {
      global $base_url;

      include( 'attributeManager/includes/attributeManagerPlaceHolder.inc.php' );

      $tab_title = addslashes('Attribute Manager');

      $output = <<<EOD
<script>
document.querySelector('#productTabs ul').innerHTML = document.querySelector('#productTabs ul').innerHTML + '<li class="nav-item"><a class="nav-link" data-toggle="tab" href="#section_attribute_manager" role="tab"><i class="fas fa-language fa-fw mr-1"></i>{$tab_title}</a></li>';
document.addEventListener('keydown',function(e){if(e.keyIdentifier=='U+000A'||e.keyIdentifier=='Enter'||e.keyCode==13){if(e.target.nodeName=='INPUT'&&e.target.type=='text'){e.preventDefault();return false;}}},true);
</script>
EOD;

      return $output;

    }
  }
