<?php
/*
* $Id: ajaxAttrManager.php
* $Loc: /includes/hooks/admin/siteWide/
*
* Name: AjaxAttributesManager
* Version: 3.6.2
* Release Date: 2024-07-26
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  class hook_admin_siteWide_ajaxAttrManager {

    public $version = '3.4.0';

    function listen_injectSiteStart() {
      global $action;

      if ( Request::get_page() == 'catalog.php' ) {
       include('attributeManager/includes/attributeManagerHeader.inc.php');
      }

    }

    function listen_injectSiteEnd() {

      if ( Request::get_page() == 'catalog.php' ) {

        $output = <<<EOD
<script>
document.addEventListener('DOMContentLoaded', function() ﻿{
  goOnLoad();
});
</script>
EOD;

        return $output;

      }
    }

  }
